---
title: Aktualizace STM na verzi 2.0
---

<p>Protože STM 2.0 přineslo <a href="<%= webPrefix %>/blog/stm-2-0-2013-07-22.html">mnoho změn</a> v
    architektuře aplikace, tak s novou verzi musíte:</p>
<ul>
    <li><strong>Upravit integraci STM na web</strong> - odteď jsou používány namespace, např. místo třídy <code class="inline">Match</code>, je teď <code class="inline">STM\Match\Match</code>, navíc
        pro inicializaci STM je odteď používán soubor <code class="inline">stm/bootstrap.php</code>.</li>
    <li><strong>Smazat všech aktuální Cache soubory</strong> – protože vaše stávající soubory pracují s již neexistujícími třídami.</li>
    <li><strong>Smazat šablony</strong> - šablony ani jejich editor už nejsou součástí základní aplikace STM.</li>    
</ul>

<h2>Postup aktualizace</h2>
<ol>
    <li>Stáhnout si verzi 2.0</li>
    <li>Zálohovat si konfigurační soubory z <code class="inline">stm/config</code> a logy z <code class="inline">files/logs</code></li>
    <li>Smazat všechny soubor z aktuální STM instalace.</li>
    <li>Aktualizovat nové konfigurační soubory – došlo v nich k drobným změnám, takže nepoužívejte ty staré!</li>    
    <li>Nahrát nové soubory na web – po nahrání už by STM mělo bez problému fungovat.</li>
</ol>
<p>Tento postup jsem použil při aktualizací 3 webů a nenastal žádný problém. Pokud byste měli u nějakých soutěží <a href="module/import.html">importované tabulky sezóny</a>, tak tyto tabulky musíte importovat znovu.</p>

<h3>Špatně nakonfigurovaný soubor database.php</h3>
<p>Po aktualizaci jsem pak narazil u přidání výsledku zápasu (2 zápasových period) na chybu:</p>
<code>Duplicate entry '0-10' for key 'PRIMARY'</code>
<p>Pokud byste narazili na stejnou chybu, tak Vaše databáze nepodporuje triggery (pravděpodobně i procedury) a vy máte v konfiguračním souboru <code class="inline">STM_DB_TRIGGERS</code> nastaveno na <code class="inline">true</code>, ale musíte tam mít <code class="inline">false</code>.</p>